For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList integrations
      • POSTReserve a new integration
      • GETList integrations by category
      • GETGet integration credential status
      • POSTInstall Slack integration
      • POSTRotate Slack credentials
      • POSTInstall Telegram integration
      • GETCheck managed Telegram bot availability
      • POSTInitiate managed Telegram bot creation
      • POSTRotate managed Telegram bot token
      • DELCancel managed Telegram bot request
      • POSTConfirm managed Telegram bot rename
      • POSTReject managed Telegram bot rename
      • GETGet managed Telegram bot request status
      • GETList configured integration tools
      • GETList Vectorize configurations
      • POSTCreate Vectorize configuration
      • POSTCreate Vectorize index
      • POSTList Vectorize indexes
      • POSTTest new Vectorize configuration
      • GETGet Vectorize configuration
      • PUTUpdate Vectorize configuration
      • DELDelete Vectorize configuration
      • POSTTest saved Vectorize configuration
      • GETList Weaviate configurations
      • POSTCreate Weaviate configuration
      • POSTTest new Weaviate configuration
      • GETGet Weaviate configuration
      • PUTUpdate Weaviate configuration
      • DELDelete Weaviate configuration
      • POSTList Weaviate collections
      • POSTTest Weaviate connection
      • GETGet integration details
      • POSTSave integration credentials
      • DELDelete integration credentials
      • GETList tools for an integration
      • GETGet an integration tool
Dashboard
LogoLogo
Runtype APIIntegrations

Delete integration credentials

DELETE
/v1/integrations/:integrationId/credentials
DELETE
/v1/integrations/:integrationId/credentials
$curl -X DELETE https://api.runtype.com/v1/integrations/integrationId/credentials \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "environment": "production",
3 "integrationId": "intg_9f8b7c6d5e4a3b2c1d0e",
4 "message": "Credentials successfully deleted for the production environment.",
5 "success": true
6}
Delete stored credentials for an integration. Without an environment query param, deletes the "all environments" credentials.
Was this page helpful?
Previous

List tools for an integration

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

integrationIdstringRequired

Query parameters

environmentstringOptional

Response

Credentials removed
environmentstring or null
integrationIdstring
messagestring
successboolean

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error